Commit 3447182b authored by Jürgen Haas's avatar Jürgen Haas

#34 Add support for PHP 7.3

Prepare v1.12.0
parent af878718
......@@ -45,3 +45,11 @@ php-7.2:
- docker push ${CI_REGISTRY_IMAGE}/php-7.2:${VERSION}
only:
- tags
php-7.3:
stage: build
script:
- docker build --pull --build-arg PHP_VERSION=7.3 --build-arg VERSION=${VERSION} -t ${CI_REGISTRY_IMAGE}/php-7.3:${VERSION} .
- docker push ${CI_REGISTRY_IMAGE}/php-7.3:${VERSION}
only:
- tags
v1.12.0 2020-01-12
------------------
docker/l3d#4 Set permissions after "drush generate"
docker/l3d#39 Update to git-extras version 5.1.0 by hard-copying column as a binary
docker/l3d#34 Add support for PHP 7.3
docker/l3d#36 Add apropos which also brings man
docker/l3d#37 Add phpstan script which runs in its own docker container
docker/l3d#38 Update Docker to 19.03.5
docker/l3d#38 Update Docker Compose to 1.25.1
docker/l3d#40 Update to Python 3
v1.11.0 2020-01-11
------------------
Update to v1.3.0 of the gitlab-drupal-ci image which comes with more node versions (10, 12, 13)
......
ARG PHP_VERSION
ARG VERSION
FROM registry.lakedrops.com/docker/gitlab-drupal-ci:php-${PHP_VERSION}
ARG VERSION
LABEL com.example.vendor="LakeDrops" \
maintainer="juergen.haas@lakedrops.com" \
version="${VERSION}" \
......
......@@ -53,7 +53,7 @@ The same test also works with other hosts where your public key is configured as
Go to the project root for which you want to use **L3D** and execute the installed script: simply type `l3d` at the command prompt.
It will ask you for the PHP version (input `7.0`, `7.1` or `7.2`), the project name and template to be used. Then it will download the matching **L3D** image and start a container for you.
It will ask you for the PHP version (input `7.0`, `7.1`, `7.2` or `7.3`), the project name and template to be used. Then it will download the matching **L3D** image and start a container for you.
Inside the container you'll find the directory `/drupal` which contains everything from your project's root. You can work from there by using these available tools:
......
......@@ -11,6 +11,8 @@ export PHP_VERSION=7.1
/usr/local/bin/update
export PHP_VERSION=7.2
/usr/local/bin/update
export PHP_VERSION=7.3
/usr/local/bin/update
echo "Cleaning old container"
docker kill l3drun >/dev/null
......@@ -8,6 +8,7 @@ function getConfig {
7.0 ) break;;
7.1 ) break;;
7.2 ) break;;
7.3 ) break;;
* ) echo "Version not supported.";;
esac
done
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment